.popup_body {
  overflow: hidden;
  position: relative;
  display: flex;
  width: 100%;
  margin: 0 auto;
  padding: 0 5px;
  background-color: var(--body-bg-color-primary);
  box-shadow: 0 0 5px var(--input-border-color);
  z-index: 3;

  &:before {
    content: '';
    position: absolute;
    width: 100%;
    height: 9px;
    top: 0;
    left: 0;
    background-color: var(--body-bg-color-primary);
    z-index: 1;
  }

  &:after {
    content: '';
    position: absolute;
    width: 100%;
    height: 9px;
    bottom: 0;
    left: 0;
    background-color: var(--body-bg-color-primary);
    z-index: 1;
  }

  &.absolute {
    position: absolute;
    min-width: 200px;
    top: calc(100% + 5px);
    left: 0;
    transform: translate(0, 0);

    &.right {
      left: calc(100%);
      transform: translate(-100%, 0);
    }
  }

  &__popup {
    width: 100%;
    height: 100%;
    max-height: 246px;
    font-size: 16px;
    font-weight: 400;

    & ul {
      display: grid;
      padding: 0 5px;
      margin: 10px 0;
    }

    & li {
      cursor: pointer;
      pointer-events: auto;
      display: grid;
      grid-template-columns: auto 1fr;
      flex-direction: row;
      align-items: center;
      margin-top: 5px;
      padding: 5px;
      background-color: transparent;
      border-radius: 0;
      text-align: left;
      opacity: 1;
      transition: background-color 0.25s ease-in-out, opacity 0.25s ease-in-out,
        color 0.25s ease-in-out;

      & .text {
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
      }

      & svg {
        width: 18px;
        height: 18px;
        margin-right: 12px;
        fill: var(--font-primary-color);
      }

      @media (hover: hover) and (pointer: fine) {
        &:hover {
          background-color: var(--input-border-color);
        }
      }

      &:first-child {
        margin-top: 0;
      }
    }

    &::-webkit-scrollbar {
      width: 8px;
    }

    &::-webkit-scrollbar-track {
      margin-top: 9px;
      margin-bottom: 9px;
      background: rgb(68, 68, 68);
    }

    &::-webkit-scrollbar-thumb {
      background-color: var(--scrollbar-thumb-bg-color);
      border: 2px solid rgb(68, 68, 68);
    }
  }
}
